Bug 1052713 - [RFE] Need additional supported database deployment options for Satellite 6 installation: such as External Postgres (and Managed Postgres?)
Summary: [RFE] Need additional supported database deployment options for Satellite 6 i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Martin Bacovsky
QA Contact: Ales Dujicek
URL:
Whiteboard:
: 1331533 1338977 (view as bug list)
Depends On: 1563211
Blocks: 260381 1052712 GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-01-13 22:15 UTC by Mike McCune
Modified: 2019-11-14 06:24 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:25:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:08 UTC
Foreman Issue Tracker 19667 'High' 'Closed' 'Need additional supported database deployment options for Katello installation: such as External Postgres' 2019-11-14 18:51:35 UTC
Foreman Issue Tracker 20550 'Normal' 'Closed' 'backup & restore do not work with remote DB' 2019-11-14 18:51:35 UTC
Foreman Issue Tracker 22886 'Normal' 'Closed' 'Move katello-restore to foreman-maintain' 2019-11-14 18:51:35 UTC
Red Hat Bugzilla 1052712 'medium' 'CLOSED' 'Need documented procedure for setting up external database configuration' 2019-11-14 18:51:31 UTC
Red Hat Bugzilla 1484067 None None None 2019-11-14 18:51:31 UTC
Red Hat Knowledge Base (Solution) 2139431 None None None 2016-05-04 06:24:32 UTC

Internal Links: 1052712 1484067

Description Mike McCune 2014-01-13 22:15:33 UTC
The Foreman installer has an option to specify the remote database host where postgres (or others) live:


--foreman-db-host

we need this to also be used when configuring the database the Katello engine uses as well as Candlepin.

This will allow us to support a database server that isn't the same machine as the Satellite 6 instance.

Comment 2 Xixi 2014-07-24 16:44:59 UTC
(In reply to Mike McCune from comment #0)
> The Foreman installer has an option to specify the remote database host
> where postgres (or others) live:
> 

Hi Mike, just to clarify/follow up from IRC, is this BZ only for external Postgres DB - or Managed Postgres and External Oracle as well (i.e. all options currently offered as of Satellite 5.6 [1])?

There's been questions from support about customers who're on Satellite 5.6 with external dbs (Postgres or Oracle) about how to transition while keeping their db setup.

Thanks,
Xixi

[1] https://access.redhat.com/site/documentation/en-US/Red_Hat_Satellite/5.6/html-single/Installation_Guide/index.html#sect-Installation_Guide-Hardware_Requirements

Comment 11 Bryan Kearney 2016-04-29 12:04:58 UTC
*** Bug 1331533 has been marked as a duplicate of this bug. ***

Comment 12 Sai Kiran Kanuri 2016-05-03 10:19:16 UTC
Please also do add gutterball to the list of DB's that need to have support to be on external DB's.

Comment 16 Bryan Kearney 2016-05-27 18:42:26 UTC
*** Bug 1338977 has been marked as a duplicate of this bug. ***

Comment 30 Martin Bacovsky 2017-05-25 09:29:54 UTC
Created redmine issue http://projects.theforeman.org/issues/19667 from this bug

Comment 36 pm-sat@redhat.com 2017-08-08 22:02:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19667 has been resolved.

Comment 37 Martin Bacovsky 2017-08-09 12:23:59 UTC
Moving back to Assigned due to some pending work on backup & restore.

Comment 38 pm-sat@redhat.com 2017-08-09 14:01:56 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19667 has been resolved.

Comment 39 Martin Bacovsky 2017-08-10 16:34:11 UTC
Adding upstream issue for tracking progress on support for remote db in backup and restore scripts

Comment 45 pm-sat@redhat.com 2018-04-20 16:01:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20550 has been resolved.

Comment 48 pm-sat@redhat.com 2018-04-26 12:01:49 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 53 pm-sat@redhat.com 2018-05-18 10:01:45 UTC
Upstream bug assigned to mbacovsk@redhat.com

Comment 54 pm-sat@redhat.com 2018-05-18 10:01:57 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19667 has been resolved.

Comment 55 Rich Jerrido 2018-08-16 15:40:02 UTC
Updating $SUBJECT to be clear to what is being delivered. Satellite will ship with support for an external PostgreSQL database. 

Support for Oracle databases are NOT planned for a near-term release of Satellite 6.

Comment 59 errata-xmlrpc 2018-10-16 15:25:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.